#ifndef _ST_H
#define _ST_H

#include <cstdio>
#include <iostream>

/**
inline
void* operator new(size_t sz)
{
   void* ptr = malloc(sz);
   return ptr;
}

inline
void* operator new[](size_t sz)
{
   void* ptr = malloc(sz);
   return ptr;
}

inline
void operator delete(void* ptr)
{
   free(ptr);
}

inline
void operator delete[](void* ptr)
{
   free(ptr);
}
*/


using namespace std;
#ifdef USE_WIN_STREAM
#include "wstream.h"
using namespace win_tools;
#else
#define T_ostream ostream
#define T_istream istream
#define win_in cin
#define win_out cout
#define win_err cerr
#endif
#endif
